---
- name: Install Podman
  ansible.builtin.dnf:
    name: podman
    state: latest
    
- name: Login to registry.redhat.io
  containers.podman.podman_login:
    username: '{{ redhat_registry_username }}'
    password: '{{ redhat_registry_token }}'
    registry: '{{ redhat_registry_url }}'
    tlsverify: '{{ redhat_registry_verify_ssl }}'
